macOS High Sierra
We are investigating a potential issue between macOS High Sierra (10.13) and Mono 5.4. Please install Mono 5.0.1 if having problems with the launcher on Mac.
PLANET COASTER
If you were experiencing any crashes with the 1.4 update for Planet Coaster, please ensure that you have the latest 1.4.1 update installed from Steam before restarting the game.

Sign in to Frontier Developments

Can't sign in?

If this is your first time contacting us or you've lost the ticket number.

please open a new ticket

Reset my password

Our support site login is shared with the Frontier Store.

Reset my Password

Please Wait!

Please wait... it will take a second!